# Specs

open class Specs

Provides a number of org.gradle.api.specs.Spec implementations.

## Constructors

Specs
Link copied to clipboard
constructor()

## Properties

SATISFIES_ALL
Link copied to clipboard
val SATISFIES_ALL: Spec<Any>
SATISFIES_NONE
Link copied to clipboard
val SATISFIES_NONE: Spec<Any>

## Functions

convertClosureToSpec
Link copied to clipboard
open fun <T> convertClosureToSpec(closure: Closure<out Any>): Spec<T>
intersect
Link copied to clipboard
open fun <T> intersect(specs: Collection<out Spec<in T>>): Spec<T>
@SafeVarargs
open fun <T> intersect(specs: Array<Spec<in T>>): Spec<T>
Returns a spec that selects the intersection of those items selected by the given specs.
negate
Link copied to clipboard
open fun <T> negate(spec: Spec<in T>): Spec<T>
Returns a spec that selects everything that is not selected by the given spec.
satisfyAll
Link copied to clipboard
open fun <T> satisfyAll(): Spec<T>
satisfyNone
Link copied to clipboard
open fun <T> satisfyNone(): Spec<T>
union
Link copied to clipboard
open fun <T> union(specs: Collection<out Spec<in T>>): Spec<T>
@SafeVarargs
open fun <T> union(specs: Array<Spec<in T>>): Spec<T>
Returns a spec that selects the union of those items selected by the provided spec.